Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Interface ISvnPropgetProcessor

All Known Implementing Classes:
  SvnKitPropget, SvnPropgetUtils

    public interface ISvnPropgetProcessor

Performs svn propget queries.

Author:
  jkealey

Method Summary
`List` | `getBinaryFiles()` Returns the list of binary files in the working directory.
`boolean` | `isBinaryFile(String revision, String filename)` It was first thought that a the mime-type of a file's previous revision could be found.
`void` | `loadBinaryFiles(String path)` Loads the list of binary files from the input stream equivalent to an svn propget command.

Method Detail

### getBinaryFiles

    List getBinaryFiles()

  Returns the list of binary files in the working directory.

  Returns:
    the list of binary files

### isBinaryFile

    boolean isBinaryFile(String revision,
                         String filename)

  It was first thought that a the mime-type of a file's previous revision could be found. This is not the case. Leave revision null until future upgrade of svn propget command line.

  Parameters:
    `revision` - the revision to query
    `filename` - the filename
  Returns:
    if that version of a file is binary

### loadBinaryFiles

    void loadBinaryFiles(String path)
                         throws IOException

  Loads the list of binary files from the input stream equivalent to an svn propget command.

  Parameters:
    `path` - a file on disk which contains the results of an svn propget
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD